package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employContract.entity.EmployContract;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.jeecg.modules.employRedister.entity.EmployRedister;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;

public interface EmployeeApiService {

    /***************首页***************/
    //首页-查询工作信息列表
    public Result<?> queryJobListByAll(EmployJob employJob, PageBean pageBean, HttpServletRequest req);

    //首页-获取工作详情
    public Result<?> queryJobById(String token, String jobId);

    /***************个人简历***************/
    //个人中心-我的简历
    public Result<?> queryResume(String token);

    //个人中心-添加简历
    public Result<?> addResume(String token, EmployResume employResume);

    //个人中心-修改简历
    public Result<?> updateResume(String token, EmployResume employResume);

    /***************考证咨询***************/
    //考证咨询-证书查询
    public Result<?> queryCertList(PageBean pageBean);

    //考证咨询-提交报名材料
    public Result<?> addMaterial(String token, EmployRedister employRedister);


    //考证咨询-联系客服

    /***************会员中心***************/
    //会员中心-我的收藏
    public Result<?> queryJobCollectionList(String token, PageBean pageBean);

    //会员中心-我的收藏(数量统计)
    public Result<?> queryJobCollectionCount(String token);

    //会员中心-联系记录-我看过谁
    public Result<?> queryWatchWho(String token, PageBean pageBean);

    //会员中心-联系记录-我看过谁(数量统计)
    public Result<?> queryWatchWhoCount(String token);

    //会员中心-联系记录-谁看过我
    public Result<?> queryWatchMe(String token, PageBean pageBean);

    //会员中心-联系记录-谁看过我(数量统计)
    public Result<?> queryWatchMeCount(String token );

    //会员中心-我的找活
    public Result<?> queryResumeByUserId(String token, PageBean pageBean);

    //电子合同-获取电子合同列表
    public Result<?> queryContractList(String token, EmployContract employContract, PageBean pageBean);

    //电子合同-获取电子合同详情
    public Result<?> queryContracById(String token, String contractId);

}
